-- "Test" map action data

maps.actdata["load"] = function()
  if bgm ~= nil and bgmsource ~= "lp" then
    bgm:stop()
    bgm = nil
    collectgarbage()
  end
  if switch["test"] then
    chars["test"].idleRoute = "random"
  end
  if bgmsource ~= "lp" and lfs.exists("assets/music/leenes_pier.mp3") then
    bgm = la.newSource("assets/music/leenes_pier.mp3")
    bgm:play()
    bgmsource = "lp"
  end
end

maps.actdata["test"] = function()
  local c = chars["test"]
  local p = chars["player"]
  if c.x > p.x then c.facing = "left" end
  if c.x < p.x then c.facing = "right" end
  if c.y > p.y then c.facing = "up" end
  if c.y < p.y then c.facing = "down" end
  c.eventing = true 
  char_obj.stop("player")
  wait = true 
  c.facing = "left" 
  char_obj.move("test", {{"right", 2}, {"left", 3}, {"right", 1}}) 
  c.waitOn = true
  evoq = "test2"
  c.eventing = false
end

maps.actdata["test2"] = function()
  --lw.showMessageBox("Hooray!", "The evo queue works!", "info")
  mms.createMsg({ msg = "This is another message, except I'm way over here decided by a character's coordinates. I also carry more... You know... Lines.\n\nPretty neat, huh?", x = chars["test"].x, y = chars["test"].y })
  state = gamestates.msg
end

maps.actdata["floor"] = function()
  if not switch["test"] then
    local p = chars["player"]
    local c = chars["test"]
    c.eventing = true
    char_obj.stop("player")
    wait = true
    char_obj.move("test", {{"down", 5}})
    c.waitOn = true
    evoq = "floor2"
    c.eventing = false
    c.idleRoute = "random"
  end
end

maps.actdata["floor2"] = function()
  --mms.createMsg({ msg = "Soldier:\nThis is a test of the movement system...How long does this box go for before it wraps back on down into the next line?", follow = true, y = "bottom" })
  mms.createMsg({ msg = {{255, 204, 0, 255}, "  Soldier", {255, 255, 255, 255}, ":\nThis is a test of the movement system, as well as text coloring using LOVE's \"setf\" function...How long does this box go for before it word-wraps back on down into the next line?"}, follow = true, y = "bottom" })
  state = gamestates.msg
  mevoq = "floor3"
end

maps.actdata["floor3"] = function()
  mms.destroyMsg("all")
  yes = function() print("Yes") mms.destroyMsg("all") wait = false state = gamestates.game end
  no = function() print("No") mms.destroyMsg("all") wait = false state = gamestates.game end
  mms.createMsg({ msg = "Does it work now?", follow = true })
  mms.createMenu({ id = "yn", msg = "Yes\nNo", choices = 2, oy = 64 })
  state = gamestates.menu
  activemenu = "yn"
  switch["test"] = true
end

maps.actdata["out"] = function()
  stopup = true
  fadeout = true
  trans = {"test2", 20, 17}
  char_obj.stop("player")
end
